@echo -off
cls
echo "======= Intel ME Version 12.0.41.1435 Update Package ======="

for %f in fs0 fs1 fs2 fs3 fs4 fs5
if exist %f:\FwUpdLcl.efi then 
    %f:
    goto AFUFOUND
endif
endfor

echo "Unable to find Intel ME update utility. Please make sure all files are on the drive"
goto END

:AFUFOUND
if not exist ME12.0.41.1435.bin then
    echo "Unable to find Intel ME binary file. Please make sure all files are on the drive"
    goto END
endif

echo "Press 'q' to quit. Press any other key to start the update"
pause -q
FWUpdLcl.efi -F ME12.0.41.1435.bin -OEMID 9746ECB1-8D35-453B-9FD0-59044B2669AA -ALLOWSV

if not %lasterror% == 0 then
    echo "Intel ME update failed. Please contact fitpcsupport@compulab.co.il"
    goto END
endif

echo "Press any key to reset the system"
pause -q
reset

:END